[tool.poetry]
name = "aws-auth-provider"
version = "0.1.0"
description = ""
authors = [ ]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.9"
fastapi = "^0.115.0"
uvicorn = "^0.34.0"
boto3 = "^1.28.54"

[tool.poetry.group.dev.dependencies]
black = "^24.0.0"
isort = "^6.0.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
